<script lang="typescript">
  export let src: string;
  export let alt: string;
  export let href: string | undefined = undefined;
  let klass = '';
  export {klass as class};

  let className = ['avatar', klass].join(' ');
</script>

{#if href}
  <a class={className} {href} {...$$restProps}>
    <img class="avatar__image" {src} {alt} />
  </a>
{:else}
  <span class={className} {...$$restProps}>
    <img class="avatar__image" {src} {alt} />
  </span>
{/if}
